Google Unified Android Push Provisioning (UAPP)

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Please make sure you have understood the flow of Google Pay Push Provisioning by reading it here:
https://developers.google.com/pay/issuers/apis/push-provisioning/android/upgrade_to_upp
This endpoint supports Google's Unified Android Push Provisioning (UAPP). It returns both the legacy opaque_payment_card and the new google_opaque_payment_card. The legacy /googlepay endpoint remains available and unchanged during migration.

Path Params
string
required

Issuing Plan Opaque ID

string
required

User Opaque ID

string
required

Card Opaque ID

Body Params
string
required

The user's Google wallet account ID.

string
required

The user's device ID.

You can get this ID by following the official documentation here: https://developers.google.com/pay/issuers/apis/push-provisioning/android/reading-wallet#getstablehardwareid

string
required

The server session ID used to generate the Google OPC. This value is provided by the Google Pay SDK via the PaymentCredentialsGenerator interface (serverSessionId in GeneratePaymentCredentialsRequest).

string
enum
required

Selects the Google Pay TSP: 40010075001 for Host Card Emulation (HCE), or 40010077056 for Secure Element (SE).

Allowed:
Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json